Subject: bug#16890: current-thread need to be re-exported in srfi-18

From: Nala Ginrut <[email-masked]>
Date: Fri, 28 Feb 2014 11:24:14 +0800

You don't have to import current-thread from srfi-18, it's already in
top-level.
But if you really need it, you have to use @@ for this un-exported
symbol.

On Thu, 2014-02-27 at 09:14 +0800, Xin Wang wrote:
> When try to import current-thread from srfi-18, guile fails with:
> 
> ERROR: no binding `current-thread' in module (srfi srfi-18)
> 
> It seems that current-thread need to be re-exported?